> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aion.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List marketplace apps



## OpenAPI

````yaml GET /api/v1/marketplace/kubernetes/apps
openapi: 3.0.3
info:
  title: KubernetesService API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/marketplace/kubernetes/apps:
    get:
      tags:
        - KubernetesMarketplace
      summary: List marketplace apps
      parameters:
        - in: query
          name: limit
          required: false
          schema:
            type: integer
            format: int64
        - in: query
          name: offset
          required: false
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListMarketplaceAppsResponse'
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    ListMarketplaceAppsResponse:
      type: object
      properties:
        apps:
          type: array
          items:
            $ref: '#/components/schemas/MarketplaceAppSummary'
        total_count:
          type: integer
          format: int64
        count:
          type: integer
          format: int64
      required:
        - apps
        - total_count
        - count
    MarketplaceAppSummary:
      type: object
      properties:
        base:
          $ref: '#/components/schemas/MarketplaceAppBase'
        latest_app_version:
          type: string
      required:
        - base
    MarketplaceAppBase:
      type: object
      properties:
        app_name:
          type: string
        display_name:
          type: string
        description:
          type: string
        icon_url:
          type: string
        documentation_url:
          type: string

````